[l-ubuntu-ve] Problemas al instalar JDK e IDE's en Ubuntu [SOLUCIONADO]

Eduard Lucena eduard en ubuntu.org.ve
Jue Nov 17 15:07:37 UTC 2011


Que bueno que hayas tomado a iniciativa y solucionado tu problema,
compartiendo, además, la solución.

Felicitaciones por eso!

Ahora una recomendación, desde el mismo oracle han decidido no
soportar mas los paquetes sun-java6, por temas de la licencia DLJ que
poseen. En cambio ofrecen OpenJDK:

JDK 7

Debian, Ubuntu, etc.

On the command line, type:

$ sudo apt-get install openjdk-7-jre

The openjdk-7-jre package contains just the Java Runtime Environment.
If you want to develop Java programs then install the openjdk-7-jdk
package.

JDK 6

Debian, Ubuntu, etc.

On the command line, type:

$ sudo apt-get install openjdk-6-jre

The openjdk-6-jre package contains just the Java Runtime Environment.
If you want to develop Java programs then install the openjdk-6-jdk
package.

Con respecto a eclipse, no hay ninguna razón para no utilizar los
paquetes que están en los repositorios, pero igual puedes usar PPA's
como el de Felix Lechner:

ppa:felix.lechner/eclipse

O el de Uninea:

ppa:uninea/eclipse

Los cuales tienen versiones actualizadas de eclipse.

Me disculpo si mi mensaje llega un poco tarde.

Saludos,

El 16 de noviembre de 2011 12:12, Miguel Matos
<unefistanoche en gmail.com> escribió:
>
> Saludos al grupo...
> ---------- Mensaje reenviado ----------
> De: Neftali Yagua <neftali.yagua en gmail.com>
> Fecha: 11 de noviembre de 2011 23:25
> Asunto: Re: [l-ubuntu-ve] Problemas al instalar JDK e IDE's en Ubuntu
> Para: Ubuntu de Venezuela <ubuntu-ve en lists.ubuntu.com>
>
>
> Mi sugerencia es que no uses la versión de eclipse que estña en los
> repositorios de ubuntu, más bien descarga el tar.gz que estáa en eclipse
> directamente y lo descomprimes dentro de tu carpeta de usuario, que en tu
> caso sería /home/miguel-LT/
> quedando así: /home/miguel-LT/eclipse
> la razón es que los repositorios de ubuntu tardan mñas en tener la ñultima
> versión disponible de eclipse y generan carpetas en el sistema para guardar
> tu configuración lo cual es buena idea si tu equipo es multiusuario y ambos
> programan, pero si eres tu el ñunico que usa el eclipse en ese equipo mejor
> descarga la carpeta, tu problema no es JDK. en cuantoi al netbeans creo que
> necesito más detalles del error.
>
> Si lo que quieres es corregir la instalación actual entra dentro de tu
> carpeta de usuarios, desde consola con
> ls -al
> y elimina las carpetas de .eclipse esto borrará tu carpeta de configuración
> de eclipse y al abrir eclipse nuevamente se creará nuevamente con tus
> configuraciones por defecto.
> Si tienes más dudas, no tardes en consultar.
>
> El 11 de noviembre de 2011 12:45, Miguel Matos
> <unefistanoche en gmail.com>escribió:
>
> > Saludos al grupo.
> >
> > Recurro nuevamente a ustedes porque parece ser que la Internet no suele
> > aportar mucha ayuda, ya que las soluciones que dan son muy dispersas (las
> > hay tantas como aplicaciones de software libre para instalar). Resulta que
> > ahora me están fallando las instalaciones del JDK 7 de Java, el Eclipse
> > versión Indigo, y el NetBeans 7.0.1. Del primero, utilizo diversas páginas,
> > pero las soluciones que me dan son muy variadas, y tan chuecas que no me
> > dio más remedio que reinstalar Ubuntu. Del segundo me dice esto (al hacer
> > doble clic en el icono con un rombo):
> > "No se pudo mostrar «/media/DATOS/Ubuntu/EclipseIndigo/eclipse/eclipse». No
> > existe una aplicación instalada para los archivos ejecutable". Pienso yo
> > que me falta algo; pero antes no me pasaba esto. ¿A qué se deberá? Y sobre
> > el tercero, en la terminal me dice:
> > root en miguel-LT:/media/DATOS/Ubuntu# ./netbeans-7.0.1-ml-javase-linux.sh
> > *bash: ./netbeans-7.0.1-ml-javase-linux.sh: Permiso denegado*
> > root en miguel-LT:/media/DATOS/Ubuntu#
> > ¡Incluso sobre root rebota!
> > Sin el './' me dice:
> > root en miguel-LT:/media/DATOS/Ubuntu# netbeans-7.0.1-ml-javase-linux.sh
> > *netbeans-7.0.1-ml-javase-linux.sh: orden no encontrada*
> > root en miguel-LT:/media/DATOS/Ubuntu#
> > ¿Qué estaré haciendo mal aquí? He de acotar que ya hice previamente lo de
> > "chmod +x" y fluye normal.
> > Necesito tenerlos a punto para poder realizar mis prácticas de programación
> > en Java. En caso contrario, volver al "antirobusto" Windows para ello. Si
> > ven que olvido mencionar algo más avísenme, pero me interesa tenerlos a
> > punto para poder trabajar en ello.
> >
> > --
> > 最善のアドバイスは、経験され、このアドバイスは手遅れだ
>
> Ya por fin se ha resuelto el asunto... después de darle vueltas al
> asunto decidí usar una versión más estable: la 6u29. Ejecutando las
> instalaciones de [1] [2] y [3], revisando pude ver que son las mismas,
> así que resumiré los pasos:
>
> En la terminal de Ubuntu ejecutamos estos comandos para instalar,
> primero, la JRE más actual:
> 1      sudo add-apt-repository ppa:ferramroberto/java
> 2       sudo apt-get update
> 3       sudo apt-get install sun-java6-jre sun-java6-plugin
>
> Y para la JDK se usa este comando:
> 1       sudo apt-get install sun-java6-jdk
>
> Podemos comprobarlo en la terminal haciendo esto:
> root en miguel-LT:~# java -version
> java version "1.6.0_26"
> Java(TM) SE Runtime Environment (build 1.6.0_26-b03)
> Java HotSpot(TM) Client VM (build 20.1-b02, mixed mode, sharing)
> root en miguel-LT:~# javac -version
> javac 1.6.0_26
> root en miguel-LT:~#
>
> Al respecto, con netbeans obtuve la información desde aquí [4],
> ejecutando estos comandos en la carpeta donde lo tengo instalado:
> chmod +x netbeans-7.0.1-ml-javase-linux.sh
> sudo bash netbeans-7.0.1-ml-javase-linux.sh
>
> Aún queda pendiente ejecutar Eclipse, pero quizás sea cuestión de
> resolverlo por Internet. Así que puedo dar el tema por cerrado.
>
> _______________________________________________
> Lista de correo (ubuntu-ve)
> Fraternidad Ubuntu Linux de Venezuela
> (Official VenezuelanTeam)
> _______________________________________________
> ubuntu-ve mailing list
> ubuntu-ve en lists.ubuntu.com
> https://lists.ubuntu.com/mailman/listinfo/ubuntu-ve
> www.ubuntu-ve.org | www.ubuntu.org.ve
> _______________________________________________
> Modifica tus opciones de suscripción o  desuscribete en: https://lists.ubuntu.com/mailman/listinfo/% (_internal_name)s



--
=======================
            Eduard Lucena
         Cel:=0424-5216478
    GNU/Linux User #403161
         Ubuntu User #8749
=======================



Más información sobre la lista de distribución ubuntu-ve